Subject: 27.1; rmail: output to file does not go to next message
From: Francesco Potortì <[email-masked]>
To: [email-masked]
Date: Tue, 24 Nov 2020 14:35:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

rmail-output should do its work, then mark the message as deleted, then
go to the next message.  The last step is not done: the filed and
deleted message is still displayed.  This is a regression.

I suppose it should be quite easy to pinpoint, but I don't have time
right now, so I am filing a bug.  Here is the value of the relevant vars
for me:

(setq rmail-output-reset-deleted-flag t
      rmail-delete-after-output t
      rmail-confirm-expunge nil)

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2020-11-08, modified by Debian built on x86-ubc-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid